Skip to main content
GET
List vault APYs

Authorizations

x-api-key
string
header
required

API key in format: pxl_<public_id>_

Query Parameters

pageSize
number
default:25

Maximum items per page. Default: 25. Min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

25

pageToken
string

Opaque token for the next page. Omit for the first page.

startTime
string

Start of time range (RFC 3339 UTC) for APY points. Optional; used with endTime.

Example:

"2026-01-01T00:00:00Z"

endTime
string

End of time range (RFC 3339 UTC) for APY points. Optional; used with startTime. Clamped to now if in the future.

Example:

"2026-01-21T00:00:00Z"

interval
enum<string>

Duration between APY points. Default: 1d.

Available options:
1d,
1w,
1m,
1y
lookback
enum<string>

Duration between the exchange rates used to derive each APY point. Default: 7d.

Available options:
1d,
7d,
14d,
30d
orderByTimestamp
enum<string>

Order by timestamp. Allowed: asc, desc. Default: asc.

Available options:
asc,
desc
filter
string

Filter string. Flags: vaultAddress. Optional.

Example:

"vaultAddress=0x1234567890abcdef1234567890abcdef12345678"

Response

List of vault APY data points

vaultApys
object[]
required

List of vault APY data points

nextPageToken
string | null
required

Token for the next page. null when there are no more results. Always present.

Example:

"eyJvZmZzZXQiOjI1fQ=="

tokenMetadata
object
required

Address metadata map keyed by lowercase token/address. Missing metadata is represented as null.